import App from "./App.vue";
import { createSSRApp } from "vue";
import 'virtual:svg-icons-register'
import { createPinia } from "pinia";
import { http } from "./utils/http";
import zzxIcon from '@/components/zzx-icon/zzx-icon.vue'
export function createApp() {
	const app = createSSRApp(App);
	const pinia = createPinia();
	app.component('zzxIcon', zzxIcon);
	app.use(pinia)
	// 挂载全局属性
	app.config.globalProperties.$http = http;
	return {
		app,
		pinia
	};
}